getBlock

POST — JSON-RPC Returns identity and transaction information about a confirmed block.
params[0]
integer
required
Slot number (u64).
params[1]
object
Configuration object:
  • commitment (string) — finalized or confirmed
  • encoding (string) — json, jsonParsed, base58, base64
  • transactionDetails (string) — full, accounts, signatures, none
  • rewards (boolean) — include rewards
  • maxSupportedTransactionVersion (integer) — max transaction version
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getBlock","params":[430,{"encoding":"json","maxSupportedTransactionVersion":0,"transactionDetails":"full","rewards":false}]}'

getBlockTime

POST — JSON-RPC Returns the estimated block time for a given block on the Solana blockchain.
params[0]
integer
required
Block slot number (u64).
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getBlockTime","params":[5]}'

getBlockCommitment

POST — JSON-RPC Returns the commitment for a specific block, providing cluster stake voting information.
params[0]
integer
required
Slot number (u64).
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getBlockCommitment","params":[5]}'

getBlockHeight

POST — JSON-RPC Returns the current block height of the Solana blockchain node.
params[0]
object
Configuration object with optional commitment and minContextSlot.
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getBlockHeight"}'

getBlockProduction

POST — JSON-RPC Returns recent block production information for the current or previous epoch.
params[0]
object
Configuration object:
  • commitment (string)
  • identity (string) — filter by validator identity
  • range (object) — { firstSlot, lastSlot } to limit range
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getBlockProduction"}'

getBlocks

POST — JSON-RPC Returns a list of confirmed blocks between two specified slots.
params[0]
integer
required
Start slot (u64).
params[1]
integer
End slot (u64, optional). Must be no more than 500,000 slots higher than start slot.
params[2]
object
Configuration object with optional commitment. Only finalized and confirmed are accepted.
getBlocks does not support processed commitment. Use finalized or confirmed only.
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getBlocks","params":[5,10]}'

getBlocksWithLimit

POST — JSON-RPC Returns a list of confirmed blocks starting from a slot up to a given limit.
params[0]
integer
required
Start slot (u64).
params[1]
integer
required
Limit (u64, max 500,000).
params[2]
object
Configuration object with optional commitment. Only finalized and confirmed are accepted.
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getBlocksWithLimit","params":[5,3]}'